# Uses of Class
org.apache.lucene.spatial.util.ShapeValuesPredicate

Packages that use ShapeValuesPredicate
Package
Description
org.apache.lucene.spatial.composite
Composite strategies.

- ## Uses of ShapeValuesPredicate in org.apache.lucene.spatial.composite

  Constructors in org.apache.lucene.spatial.composite with parameters of type ShapeValuesPredicate
  Modifier
  Constructor
  Description
  ``
  `CompositeVerifyQuery(Query indexQuery, ShapeValuesPredicate predicateValueSource)`
  ``
  `IntersectsRPTVerifyQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel, ShapeValuesPredicate predicateValueSource)`